unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorClientes, uEditorProveedores,
  uEditorAgentes, uEditorElegirCLientes,
  uEditorCliente, uEditorProveedor,
  uEditorAgente, uEditorElegirProveedores, uEditorDireccion,
  uEditorElegirDireccionEntrega, uEditorGruposCliente;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorClientes, 'EditorClientes');
  EditorRegistry.RegisterClass(TfEditorProveedores, 'EditorProveedores');
  EditorRegistry.RegisterClass(TfEditorAgentes, 'EditorAgentes');

  EditorRegistry.RegisterClass(TfEditorCliente, 'EditorCliente');
  EditorRegistry.RegisterClass(TfEditorProveedor, 'EditorProveedor');
  EditorRegistry.RegisterClass(TfEditorAgente, 'EditorAgente');

  EditorRegistry.RegisterClass(TfEditorElegirClientes, 'EditorElegirClientes');
  EditorRegistry.RegisterClass(TfEditorElegirProveedores, 'EditorElegirProveedores');

  EditorRegistry.RegisterClass(TfEditorDireccion, 'EditorDireccion');
  EditorRegistry.RegisterClass(TfEditorElegirDireccionEntrega, 'EditorElegirDireccionEntrega');

  EditorRegistry.RegisterClass(TfEditorGruposCliente, 'EditorGruposCliente');  
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorClientes);
  EditorRegistry.UnRegisterClass(TfEditorProveedores);
  EditorRegistry.UnRegisterClass(TfEditorAgentes);

  EditorRegistry.UnRegisterClass(TfEditorCliente);
  EditorRegistry.UnRegisterClass(TfEditorProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAgente);

  EditorRegistry.UnRegisterClass(TfEditorElegirClientes);
  EditorRegistry.UnRegisterClass(TfEditorElegirProveedores);

  EditorRegistry.UnRegisterClass(TfEditorDireccion);
  EditorRegistry.UnRegisterClass(TfEditorElegirDireccionEntrega);

  EditorRegistry.UnRegisterClass(TfEditorGruposCliente);    
end;

end.
